### Method

# WebKitWebProcessExtension Frame get_js_context_for_script_world

since: 2.22

#### Declaration [src]

    JSCContext*
    webkit_frame_get_js_context_for_script_world (
      WebKitFrame* frame,
      WebKitScriptWorld* world
    )

#### Description [src]

Get the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

Available since: 2.22

#### Parameters

`world`

  Type: `WebKitScriptWorld`

  A `WebKitScriptWorld`.

  The data is owned by the caller of the method.

#### Return value

Type: `JSCContext`

The `JSCContext` for the JavaScript execution context of `frame` for `world`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.